Bug 20201 - Silence warnings in admin/aqplan.pl
Summary: Silence warnings in admin/aqplan.pl
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20185
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-14 20:17 UTC by M. Tompsett
Modified: 2018-03-23 12:49 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20201: Silence warnings triggered by admin/aqplan.pl (2.78 KB, patch)
2018-02-14 20:25 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20201: Silence warnings triggered by admin/aqplan.pl (2.86 KB, patch)
2018-02-27 15:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2018-02-14 20:17:26 UTC
Floody logs distracts from debugging real problems. This will clean up warnings triggered in admin/aqplan.pl
Comment 1 M. Tompsett 2018-02-14 20:18:49 UTC
20185 cleans up some of them while addressing perl -wc issues. This cleans up more.
Comment 2 M. Tompsett 2018-02-14 20:25:32 UTC
Created attachment 71639 [details] [review]
Bug 20201: Silence warnings triggered by admin/aqplan.pl

TEST PLAN
---------
0) back up DB
1) Run the following commands on a kohadevbox:
    reset_all
    git bz apply 20185
    echo | sudo tee /var/log/koha/kohadev/plack-error.log
    restart_all
2) Navigate in a staff client:
    Home -> Administration -> Budgets -> Edit -> Planning by libraries
   -- could be any of the planning, but by libraries is nicely visible
   on screen.
3) Run the following commands:
    cat /var/log/koha/kohadev/plack-error.log
   -- several warnings.
4) Run the following commands:
    git bz apply 20201
    echo | sudo tee /var/log/koha/kohadev/plack-error.log
    restart_all
5) repeat step 2 and refresh the staff client page.
   -- this time warnings related to aqplan.pl are not there.
6) run koha qa test tools
Comment 3 Jonathan Druart 2018-02-27 15:00:52 UTC
Created attachment 72269 [details] [review]
Bug 20201: Silence warnings triggered by admin/aqplan.pl

TEST PLAN
---------
0) back up DB
1) Run the following commands on a kohadevbox:
    reset_all
    git bz apply 20185
    echo | sudo tee /var/log/koha/kohadev/plack-error.log
    restart_all
2) Navigate in a staff client:
    Home -> Administration -> Budgets -> Edit -> Planning by libraries
   -- could be any of the planning, but by libraries is nicely visible
   on screen.
3) Run the following commands:
    cat /var/log/koha/kohadev/plack-error.log
   -- several warnings.
4) Run the following commands:
    git bz apply 20201
    echo | sudo tee /var/log/koha/kohadev/plack-error.log
    restart_all
5) repeat step 2 and refresh the staff client page.
   -- this time warnings related to aqplan.pl are not there.
6) run koha qa test tools

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2018-02-27 15:01:15 UTC
Trivial, skipping QA.
Comment 5 Jonathan Druart 2018-02-27 15:56:06 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-03-23 12:49:54 UTC
Awesome work all! Pushed to stable for 17.11.04